version: "3.3"

services:
  customer-app-staging:
    hostname: customer-service-staging
    container_name: customer-service-staging
    image: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG.$CI_PIPELINE_ID
    tty: true
    environment:
      - HTTP_HOST=0.0.0.0
      - HTTP_PORT=8065

      - GRPC_HOST=0.0.0.0
      - GRPC_PORT=9085
      - GRPC_DOMEN=http://customer-service:9085

      - MONGO_HOST=10.6.0.11
      - MONGO_PORT=27017
      - MONGO_USER=$MONGO_USER
      - MONGO_PASSWORD=$MONGO_PASSWORD
      - MONGO_DB_NAME=customer
      - MONGO_AUTH=customer

      - KAFKA_BROKERS=10.6.0.11:9092
      - KAFKA_TOPIC_TARIFF=tariffs

      - AUTH_MICROSERVICE_USER_URL=https://admin.pena.digital/user
      - HUBADMIN_MICROSERVICE_TARIFF_URL=https://admin.pena.digital/strator/tariff
      - CURRENCY_MICROSERVICE_TRANSLATE_URL=http://10.6.0.11:3131/change
      - DISCOUNT_MICROSERVICE_GRPC_HOST=10.6.0.11:9001
      - PAYMENT_MICROSERVICE_GRPC_HOST=10.6.0.11:9085

      - JWT_PUBLIC_KEY=$JWT_PUBLIC_KEY
      - JWT_ISSUER=pena-auth-service
      - JWT_AUDIENCE=pena
    ports:
      - 8065:8065
      - 9065:9065
    networks:
      - default
